# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class DataEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<DataEntry>
                  com.google.gdata.data.analytics.DataEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class DataEntry

extends BaseEntry<DataEntry>

Entry element for data feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`DataEntry()` Default mutable constructor.
`DataEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addDimension(Dimension dimension)` Adds a new dimension.
`void` `addMetric(Metric metric)` Adds a new metric.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.Double` `doubleValueOf(java.lang.String name)` Gets the double value of the metric with the given name in this entry.
`Dimension` `getDimension(java.lang.String name)` Gets the dimension with the given name in this entry.
`java.util.List<Dimension>` `getDimensions()` Returns the dimensions.
`Metric` `getMetric(java.lang.String name)` Gets the metric with the given name in this entry.
`java.util.List<Metric>` `getMetrics()` Returns the metrics.
`boolean` `hasDimensions()` Returns whether it has the dimensions.
`boolean` `hasMetrics()` Returns whether it has the metrics.
`java.lang.Long` `longValueOf(java.lang.String name)` Gets the long value of the metric with the given name in this entry.
`java.lang.String` `stringValueOf(java.lang.String name)` Retrieves the string value of the named dimension or metric in this entry.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataEntry

    public DataEntry()

  Default mutable constructor.

### DataEntry

    public DataEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getDimensions

    public java.util.List<Dimension> getDimensions()

  Returns the dimensions.

  Returns:
    dimensions

### addDimension

    public void addDimension(Dimension dimension)

  Adds a new dimension.

  Parameters:
    `dimension` - dimension

### hasDimensions

    public boolean hasDimensions()

  Returns whether it has the dimensions.

  Returns:
    whether it has the dimensions

### getMetrics

    public java.util.List<Metric> getMetrics()

  Returns the metrics.

  Returns:
    metrics

### addMetric

    public void addMetric(Metric metric)

  Adds a new metric.

  Parameters:
    `metric` - metric

### hasMetrics

    public boolean hasMetrics()

  Returns whether it has the metrics.

  Returns:
    whether it has the metrics

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDimension

    public Dimension getDimension(java.lang.String name)

  Gets the dimension with the given name in this entry.

  Parameters:
    `name` - The name of the dimension to retrieve.
  Returns:
    The named dimension, or null if the dimension is not present in this entry

### getMetric

    public Metric getMetric(java.lang.String name)

  Gets the metric with the given name in this entry.

  Parameters:
    `name` - The name of the metric to retrieve.
  Returns:
    The named metric, or null if the metric is not present in this entry

### longValueOf

    public java.lang.Long longValueOf(java.lang.String name)

  Gets the long value of the metric with the given name in this entry.

  Returns:
    the long value of the named metric, or null if the named metric is not present in this entry

### doubleValueOf

    public java.lang.Double doubleValueOf(java.lang.String name)

  Gets the double value of the metric with the given name in this entry.

  Returns:
    the double value of the named metric, or null if the named metric is not present in this entry

### stringValueOf

    public java.lang.String stringValueOf(java.lang.String name)

  Retrieves the string value of the named dimension or metric in this entry.

  Returns:
    The value of the named dimension or metric, or null if it is not present in this entry